List Chart Appearances for a Track
Return chart records for this track across the supported platforms: Spotify (spotify_viral_daily, spotify_viral_weekly, spotify_top_daily, spotify_top_weekly), Apple Music (applemusic_top, applemusic_daily, applemusic_albums), iTunes (itunes_top, itunes_albums), Airplay (airplay_daily, airplay_weekly), Amazon, Shazam, Beatport, and SoundCloud.
Path Parameters
- Type: string enumtyperequired
Chart variant to fetch. Combines platform with chart family/duration (e.g.
spotify_top_daily,applemusic_albums,airplay_weekly,shazam,amazon).values- spotify
_viral _daily - spotify
_viral _weekly - spotify
_top _daily - spotify
_top _weekly - applemusic
_top
- Type: integeridmin:0max:2147483647required
Chartmetric track ID.
Query Parameters
- Type: string Format: datesincerequired
Inclusive start date for the chart window in
YYYY-MM-DDformat. Defaults to 180 days before today. - Type: string Format: dateuntil
Inclusive end date for the chart window in
YYYY-MM-DDformat. Defaults to today.
Responses
- application/json
Request Example for get/api/track/{id}/{type}/charts
curl 'https://api.chartmetric.com/api/track/0/spotify_viral_daily/charts?since=2026-01-21' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"obj": {
"data": [
{
"rank": 104,
"added_at": "2020-03-04T08:00:00.000Z",
"code2": "GLOBAL",
"plays": 1084704,
"duration": "daily",
"chart_type": "regional",
"gnp": null,
"pre_rank": 105,
"peak_rank": 1,
"peak_date": "2019-02-08T08:00:00.000Z",
"peak_plays": 10445538,
"total_plays": 1033605669,
"name": "7 rings",
"isrc": "USUM71900110",
"image_url": "https://i.scdn.co/image/38205ab1bdc4b37b68b3ace40989afb6c2c1faa9",
"spotify_popularity": 86,
"cm_track": 22290726,
"spotify_artist_names": [
"Ariana Grande"
],
"track_genre": "dance pop,pop,post-teen pop",
"cm_artist": [
3963
],
"artist_names": [
"Ariana Grande"
],
"code2s": [
"US"
],
"artist_images": [
"https://i.scdn.co/image/b1dfbe843b0b9f54ab2e588f33e7637d2dab065a"
],
"spotify_artist_ids": [
"66CXWjxzNUsdJxJ2JdwvnR"
],
"spotify_track_ids": [
"6ocbgoVGwYJhOv1GgI9NsF"
],
"spotify_album_ids": [
"2fYhqwDWXjbpjaIJPEfKFw"
],
"spotify_duration_ms": 178626,
"album_ids": [
3532913
],
"album_names": [
"thank u, next"
],
"album_upc": [
"602577490385"
],
"album_label": [
"Republic Records"
],
"release_dates": [
"2019-02-08T08:00:00.000Z"
]
}
],
"length": 33
}
}